<div class="col-lg-12 col-md-12 col-sm-12 onboarding-content">
  <div class="col-lg-12 col-md-12 onboarding-nav-option">
    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': !isEditMode }" (click)="isEditMode = false;resetForm();">
        <span class="material-icons">add_circle</span><span class="hidden-xs"> Create New Organization</span></a>
    </div>

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': isEditMode }" (click)="isEditMode = true;">
        <span class="material-icons">domain</span><span class="hidden-xs"> Select Existing Organization</span></a>
    </div>
  </div>


  <form #onboardingForm="ngForm" class="onboarding-form">
    <div class="row">
      <!-- main row -->
      <div class="col-lg-7 col-md-7 col-sm-7">

        <div class="row">
          <!-- first row -->
          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left">
            <label class="control-label">Organization Details</label>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 thumbnail org-img-holder">
              <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-padding form-group">
                <img class="img img-responsive" [src]="organization.logo" alt="" *ngIf="organization.logo"/>
                <span class="material-icons upload-icon" (click)="file.open()">camera_alt</span>
                <app-file-upload #file (file)="changeImage($event)"></app-file-upload>
                <input type="text" class="hidden" name="logo" [(ngModel)]="organization.logo"  #organizationLogo="ngModel">                
                <svg class="svg-icon" *ngIf="!organization.logo">
                  <use xlink:href="assets/images/org_default.svg#Vector_Smart_Object"></use>
                </svg>
                
              </div>
              <div class="col-lg-12">
                <div class="row">
                  <div class="col-lg-8 col-md-8 col-sm-8 col-xs-7 input-group-sm no-padding">
                    <label class="control-label required-lbl">Organization Name</label>
                    <span *ngIf="!isEditMode">
                <input type="text" class="form-control input-sm" name="organizationName" [(ngModel)]="organization.name" required minlength="4" maxlength="64"
                  #organizationName="ngModel" pattern="^[a-zA-Z'][a-zA-Z-' ]*[a-zA-Z']?">

                <div *ngIf="organizationName.errors && (organizationName.dirty || organizationName.touched)" class="text-danger">
                  <div [hidden]="!organizationName.errors.required">
                    Organization name is required.
                  </div>
                  <div [hidden]="!organizationName.errors.minlength">
                    Organization name must be at least 4 characters long.
                  </div>
                  <div [hidden]="!organizationName.errors.maxlength">
                    Organization name cannot be more than 64 characters long.
                  </div>
                  <div [hidden]="!organizationName.errors.pattern">
                    Please enter valid organization name
                  </div>
                </div>
                  </span>
                    <span *ngIf="isEditMode">
                <select class="form-control input-sm" name="organizationNameSelect" [(ngModel)]="organizationIndex" (change)="getCompanySelected(organizationIndex)">
                  <option value="" disabled>Select organization</option>
                  <option *ngFor="let parent of availableOrganization; let i = index;" [value]="i">{{parent.name}}</option>
                </select>
                  </span>

                  </div>
                  <div class="col-lg-4 col-md-4 col-sm-4 col-xs-5 no-padding status-icon-group">
                    <div class="control-label">Active</div>
                    <label class="switch">
                <input type="checkbox" name="status" [(ngModel)]="organization.status">
                <div class="slider round"></div>
              </label>
                  </div>
                </div>
              </div>
            </div>
          </div>


          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left">

            <!-- parent organization -->
            <div class="form-group">
              <label class="control-label">Parent Organization</label>
              <select class="form-control" #parentOrganization="ngModel" name="parentOrganization" [(ngModel)]="organization.parentCompany">
            <option value=""></option>
            <option *ngFor="let parent of availableOrganization" [value]="parent.name">{{parent.name}}</option>
          </select>
            </div>
            <!-- parent organization -->


            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label">Website</label>
              <!-- pattern="(https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|www\.[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9]\.[^\s]{2,}|www\.[a-zA-Z0-9]\.[^\s]{2,})" -->
              <input type="text" class="form-control" #website="ngModel" [(ngModel)]="organization.website" name="website" pattern="[a-zA-Z0-9]\.[a-zA-Z]{2,}|[a-zA-Z0-9]\.[a-zA-Z]{2,}">

              <span class="form-control-feedback"><span class="material-icons">language</span></span>

              <div *ngIf="website.errors && (website.dirty || website.touched)" class="text-danger">
                <div [hidden]="!website.errors.required">
                  Website name is required.
                </div>
                <div [hidden]="!website.errors.minlength">
                  Website name must be at least 4 characters long.
                </div>
                <div [hidden]="!website.errors.maxlength">
                  Website name cannot be more than 64 characters long.
                </div>
                <div [hidden]="!website.errors.pattern">
                  Please enter valid Website.
                </div>
              </div>
            </div>




            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label">Currency*</label>
              <select class="form-control" [(ngModel)]="organization.currencyCode" name="currency" #currency="ngModel" required>
                <option *ngFor="let currency of availableCurrencies" value="{{currency.code}}">{{currency.name}}</option>
              </select>
              <span class="form-control-feedback"><span class="material-icons">monetization_on</span></span>

              <div *ngIf="currency.errors && (currency.dirty || currency.touched)" class="text-danger">
                <div [hidden]="!currency.errors.required">
                  Currency is required.
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- first row -->

        <div class="row">
          <!-- second row -->
          <!--<div class="col-lg-12">-->
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">
            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Address</label>
              <!-- ^[a-zA-Z'0-9][a-zA-Z-'0-9]*[a-zA-Z'0-9]? -->
              <input type="text" class="form-control" #addressName="ngModel" [(ngModel)]="addressname" name="addressName" required pattern="^[0-9a-zA-Z-, ]+$">
              <span class="form-control-feedback"><span class="material-icons">location_on</span></span>
              <div *ngIf="addressName.errors && (addressName.dirty || addressName.touched)" class="text-danger">
                <div [hidden]="!addressName.errors.required">
                  Address is required.
                </div>
                <div [hidden]="!addressName.errors.pattern">
                  Please enter valid address
                </div>
              </div>
            </div>

            <div class="form-group has-feedback has-feedback-left" *ngFor="let phone of phoneNumber; let i = index;trackBy:trackByFn">

              <label class="control-label" [ngClass]="{'required-lbl': i == 0}"><span *ngIf="i == 0">Phone Number</span></label>
              <input type="text" class="form-control" [(ngModel)]="organization.phones[i]" name="phoneNumber{{i}}" #phoneNumbers="ngModel"
                required pattern="\d{1,20}" />
              <span class="form-control-feedback"><span class="material-icons">call</span></span>

              <span  class="material-icons add-icon" *ngIf="i == 0" (click)="phoneNumber.push('')">add_circle</span>
              <span class="material-icons remove-icon" (click)="phoneNumber.pop()" *ngIf="i != 0">remove_circle</span>


              <div *ngIf="phoneNumbers && phoneNumbers.errors && (phoneNumbers.dirty || phoneNumbers.touched)" class="text-danger">
                <div [hidden]="!phoneNumbers.errors.required">
                  Phone Number is required.
                </div>
                <div [hidden]="!phoneNumbers.errors.minlength">
                  Phone Number must be at least 4 characters long.
                </div>
                <div [hidden]="!phoneNumbers.errors.maxlength">
                  Phone Number cannot be more than 64 characters long.
                </div>
                <div [hidden]="!phoneNumbers.errors.pattern">
                  Please enter valid Phone Number.
                </div>
              </div>
            </div>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">
            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Email address</label>
              <span class="form-control-feedback"><span class="material-icons">mail_outline</span></span>

              <input type="email" class="form-control" #emailId="ngModel" [(ngModel)]="organization.emailId" name="emailId" required minlength="6"
                maxlength="64" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$">
              <div *ngIf="emailId.errors && (emailId.dirty || emailId.touched)" class="text-danger">
                <div [hidden]="!emailId.errors.required">
                  Email Address is required.
                </div>
                <div [hidden]="!emailId.errors.minlength">
                  Email Address must be at least 4 characters long.
                </div>
                <div [hidden]="!emailId.errors.maxlength">
                  Email Address cannot be more than 64 characters long.
                </div>
                <div [hidden]="!emailId.errors.pattern && !emailId.errors.minlength">
                  Please enter valid email address.
                </div>
              </div>
            </div>

            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Contact Person Name</label>
              <input type="text" class="form-control" [(ngModel)]="organization.contact.contactName" name="contactPerson" #contactPerson="ngModel"
                required minlength="4" maxlength="64" pattern="^[a-zA-Z'][a-zA-Z-' ]*[a-zA-Z']?">
              <span class="form-control-feedback"><span class="material-icons">contacts</span></span>

              <div *ngIf="contactPerson && contactPerson.errors && (contactPerson.dirty || contactPerson.touched)" class="text-danger">
                <div [hidden]="!contactPerson.errors.required">
                  Contact Person Name is required.
                </div>
                <div [hidden]="!contactPerson.errors.minlength">
                  Contact Person Name must be at least 4 characters long.
                </div>
                <div [hidden]="!contactPerson.errors.maxlength">
                  Contact Person Name cannot be more than 64 characters long.
                </div>
                <div [hidden]="!contactPerson.errors.pattern">
                  Please enter valid contact person name
                </div>
              </div>
            </div>

          </div>
          <!--</div>-->
        </div>
        <!-- second row -->

        <div class="row">
          <!-- third row -->
          <!--<div class="col-lg-12">-->
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">
            <!--<div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Contact Person Name</label>
              <input type="text" class="form-control" [(ngModel)]="organization.contact.contactName" name="contactPerson" #contactPerson="ngModel"
                required minlength="4" maxlength="64" pattern="^[a-zA-Z'][a-zA-Z-' ]*[a-zA-Z']?">
              <span class="form-control-feedback"><span class="material-icons">contacts</span></span>

              <div *ngIf="contactPerson && contactPerson.errors && (contactPerson.dirty || contactPerson.touched)" class="text-danger">
                <div [hidden]="!contactPerson.errors.required">
                  Contact Person Name is required.
                </div>
                <div [hidden]="!contactPerson.errors.minlength">
                  Contact Person Name must be at least 4 characters long.
                </div>
                <div [hidden]="!contactPerson.errors.maxlength">
                  Contact Person Name cannot be more than 64 characters long.
                </div>
                <div [hidden]="!contactPerson.errors.pattern">
                  Please enter valid contact person name
                </div>
              </div>
            </div>-->
            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Phone Number</label>
              <input type="text" class="form-control" [(ngModel)]="organization.contact.contactPhoneNumber" name="contactPhone" required
                #contactPhone="ngModel" minlength="6" maxlength="20" pattern="\d{1,20}">
              <span class="form-control-feedback"><span class="material-icons">phone</span></span>
              <div *ngIf="contactPhone.errors && (contactPhone.dirty || contactPhone.touched)" class="text-danger">
                <div [hidden]="!contactPhone.errors.required">
                  Phone Number is required.
                </div>
                <div [hidden]="!contactPhone.errors.minlength">
                  Phone Number must be at least 6 characters long.
                </div>
                <div [hidden]="!contactPhone.errors.maxlength">
                  Phone Number cannot be more than 20 characters long.
                </div>
                <div [hidden]="!contactPhone.errors.pattern">
                  Please enter valid Phone Number.
                </div>
              </div>
            </div>

            <div class="form-group  has-feedback has-feedback-left">
              <label class="control-label required-lbl">Email Address</label>
              <input type="email" class="form-control" [(ngModel)]="organization.contact.contactEmailId" name="emailContact" required #emailContact="ngModel"
                minlength="4" maxlength="64" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$">
              <span class="form-control-feedback"><span class="material-icons">mail_outline</span></span>
              <div *ngIf="emailContact.errors && (emailContact.dirty || emailContact.touched)" class="text-danger">
                <div [hidden]="!emailContact.errors.required">
                  Email Address is required.
                </div>
                <div [hidden]="!emailContact.errors.minlength">
                  Email Address must be at least 4 characters long.
                </div>
                <div [hidden]="!emailContact.errors.maxlength">
                  Email Address cannot be more than 64 characters long.
                </div>
                <div [hidden]="!emailContact.errors.pattern && !emailContact.errors.minlength">
                  Please enter valid email address.
                </div>
              </div>
            </div>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">
            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Mobile Number</label>
              <input type="text" class="form-control" [(ngModel)]="organization.contact.contactMobileNumber" name="contactMobile" #contactMobile="ngModel"
                minlength="6" maxlength="20" required pattern="\d{1,20}">
              <span class="form-control-feedback"><span class="material-icons">phone</span></span>
              <div *ngIf="contactMobile.errors && (contactMobile.dirty || contactMobile.touched)" class="text-danger">
                <div [hidden]="!contactMobile.errors.required">
                  Mobile Number is required.
                </div>
                <div [hidden]="!contactMobile.errors.minlength">
                  Mobile Number must be at least 6 characters long.
                </div>
                <div [hidden]="!contactMobile.errors.maxlength">
                  Mobile Number cannot be more than 20 characters long.
                </div>
                <div [hidden]="!contactMobile.errors.pattern">
                  Please enter valid Mobile Number.
                </div>
              </div>
            </div>
          </div>
        </div>
        <!--</div>-->
        <!-- third row -->

      </div>

      <div class="col-lg-5 col-md-5 col-sm-5">
        <div class="onboarding-instruction hidden-xs thumbnail">
          <h3>Create Organization</h3>
          <p>Customer Onboarding experience starts with the very first step of creating organization, then creating users and
            associate users to the roles.</p>
          <p>Create New Orgnaization: To create a new organization, please make sure the "Create New Organization" is selected
            if not highlighted in green. By default "Create New Organization" button is selected. Enter the Organization
            Name, select Organization Logo, enter address, phone number, website currency and email address. If the organization
            belongs to a parent Organization, select the parent organization from the dropdown. If you don't see a Parent
            Organization, you will have to create the parent organization first before creating its sub organization.</p>
          <p>Now start entering Contact Person Details that includes Name, Phone Number, Mobile Number, and Email address of
            the contact person. If there is no error, the continue button will be enabled. Click Continue button to create
            the organization. If any error happens while creating the organization, you will see the error details.</p>
          <p>Select Existing Organization: If you want to change values of an existing organization or add Users to it, please
            click "Select Existing Organization" button. You can select an existing organization by selecting the organization
            from the Organization Name dropdown. If you don't see the Organization, click "Create New Organization" button
            and create the Organization. Selecting an existing organization, pre-populates the values. You can change any
            value of the organization and click Continue button. If you want to add users to this organization, click Continue
            button to go to Create Users tab.</p>
          <p>PS: For any issue, please contact BlueSurge Support Team.</p>
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12 text-right form-group">
            <button class="btn btn-tab" (click)="cancel()" type="button">Cancel</button>
            <button class="btn btn-tab" (click)="saveOrganization(onboardingForm.valid)" type="button" [disabled]="onboardingForm.invalid">Continue</button>
          </div>
        </div>
      </div>
      <!-- main row -->
    </div>
  </form>
</div>
